Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.reflection.java.generics
Class CompoundTypeEnvironment

    java.lang.Object
      org.hibernate.reflection.java.generics.CompoundTypeEnvironment

All Implemented Interfaces:
  TypeEnvironment

    public class CompoundTypeEnvironment

extends Object
implements TypeEnvironment

A composition of two `TypeEnvironment` functions.

Author:
  Davide Marchignoli, Paolo Perrotta

Constructor Summary
`CompoundTypeEnvironment(TypeEnvironment f, TypeEnvironment g)`

Method Summary
`Type` | `bind(Type type)` Binds as many generic components of the given type as possible in this context.
`boolean` | `equals(Object o)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompoundTypeEnvironment

    public CompoundTypeEnvironment(TypeEnvironment f,
                                   TypeEnvironment g)

Method Detail

### bind

    public Type bind(Type type)

  Description copied from interface: `TypeEnvironment`
  Binds as many generic components of the given type as possible in this context.

  Warning: if the returned `Type` is a `Class`, then it's guaranteed to be a regular Java `Class`. In all other cases, this method might return a custom implementation of some interface that extends `Type`. Be sure not to mix these objects with with Java's implementations of `Type` to avoid potential identity problems.

  This class does not support bindings involving inner classes or upper/lower bounds.

  Specified by:
    `bind` in interface `TypeEnvironment`
  Returns:
    a type where the generic arguments have been replaced by raw classes whenever this is possible.

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD